@font-face {
    font-family: 'Vivaldi';
    font-style: normal;
    font-weight: normal;
    src: local('Vivaldi'), url('/css/font/VIVALDII.TTF') format('woff');
}


@font-face {
    font-family: 'Montserrat', sans-serif;
    font-style: normal;
    font-weight: normal;
    src: local('Montserrat'), url('/css/font/Montserrat-Regular.ttf') format('woff');
}

@font-face {
    font-family: 'Milicent', sans-serif;
    font-style: normal;
    font-weight: normal;
    src: local('Milicent'), url('/css/font/Milicent-BWvD3.otf') format('woff');
}
@font-face {
    font-family: 'Vanilla Personal', sans-serif;
    font-style: normal;
    font-weight: normal;
    src: local('Vanilla Personal'), url('/css/font/vanillapersonal.ttf') format('woff');
}
@font-face {
    font-family: 'love rose', sans-serif;
    font-style: normal;
    font-weight: normal;
    src: local('love rose'), url('/css/font/Loverose-nRVyV.otf') format('woff');
}
@font-face {
    font-family: 'Karima For Personal Use Only', sans-serif;
    font-style: normal;
    font-weight: normal;
    src: local('Karima For Personal Use Only'), url('/css/font/KarimaForPersonalUseOnly-ZVPJm.otf') format('woff');
}
@font-face {
    font-family: 'Exo', sans-serif;
    font-style: normal;
    font-weight: normal;
    src: local('Exo'), url('/css/font/Exo[wght].ttf') format('woff');
}
@font-face {
    font-family: 'Tangerine', sans-serif;
    font-style: normal;
    font-weight: normal;
    src: local('Tangerine'), url('/css/font/Tangerine_Bold.ttf') format('woff');
}
:root {
    --beige-color: #f4e1b6; /* its good with black background */
    --darkblue-color: #13265C;
    --blue-primary: #0d6efd;
    --green-success: #198754;
    --light-green: #8df276; /* its good with black background */
    --light-blue: #8ab9ed; /* its good with black background */
    --dark-green: #22BF69; /* alert background on success */
    --light-white: #f7f2f1; /* color for text */
    --sea-light-blue: #7acff6;
    --about-purple: #6b74f5;
}
html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-check-input:focus {
  /*box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;*/
}

/* tablet */
@media only screen and (min-width: 681px) and (max-width: 1024px) {
    /* Adjust the outer container of the Lightbox */
    .lb-outerContainer {
        width: 80% !important; /* Set width to 80% of the screen width */
        max-width: 80% !important; /* Allow the container to take up 80% of the screen width */
        height: auto !important; /* Let height adjust automatically */
        margin: 0 auto !important; /* Center the outer container */
    }

    /* Adjust the data container where the image is displayed */
    .lb-dataContainer {
        width: 100% !important; /* Take up the full width of the outer container */
        height: auto !important; /* Let height adjust automatically */
        padding: 20px !important; /* Add some padding for better spacing */
        box-sizing: border-box; /* Ensure padding is included in the width/height */
    }

    /* Adjust the image size inside the Lightbox */
    .lb-image {
        width: 100% !important; /* Make image take the full width of the container */
        height: auto !important; /* Maintain aspect ratio */
    }

    /* Adjust the size of the close button */
    .lb-close {
        font-size: 30px !important; /* Make the close button a bit larger for better touch accessibility */
    }
}
/* Mobile */
@media only screen and (max-width: 680px) {
    /* Adjust the outer container of the Lightbox */
    .lb-outerContainer {
        width: 90% !important; /* Set width to 90% of the screen width */
        max-width: 90% !important; /* Allow the container to take up 90% of the screen width */
        height: auto !important; /* Let height adjust automatically */
        margin: 0 auto !important; /* Center the outer container */
    }

    /* Adjust the data container where the image is displayed */
    .lb-dataContainer {
        width: 100% !important; /* Take up the full width of the outer container */
        height: auto !important; /* Let height adjust automatically */
        padding: 10px !important; /* Add some padding to the image */
        box-sizing: border-box; /* Ensure padding is included in the width/height */
    }

    /* Adjust the image size inside the Lightbox */
    .lb-image {
        width: 100% !important; /* Make image take the full width of the container */
        height: auto !important; /* Maintain aspect ratio */
    }

    /* Adjust the size of the close button */
    .lb-close {
        font-size: 20px !important; /* Make the close button bigger for mobile */
    }
    .brMobile{
        display: block;     
    }
    .footerHunTechSec{
        display:block;
    }
}

html {
  position: relative;
  min-height: 100%;
}

body {
 
}
.vivaldiFont {
    font-family: 'Vivaldi', sans-serif;
}
.miliCentFont {
    font-family: 'Milicent', sans-serif;
}
.vanillaPersonal {
    font-family: 'Vanilla Personal', sans-serif;
}
.loveRose {
    font-family: 'love rose', sans-serif;
}
.karimaFont {
    font-family: 'Karima For Personal Use Only', sans-serif;
}
.exoFont {
    font-family: 'Exo', sans-serif;
}
.monsterratFont {
    font-family: 'Montserrat', sans-serif;
}

.tangerineFontCard {
    font-family: 'Tangerine', sans-serif;
    font-size: 2.5rem;
    font-weight: bold;
}
.tangerineFontCanva {
    font-family: 'Tangerine', sans-serif;
    font-size: 1.8rem;
    font-weight: bold;
}
.tangerineFontCanvaMain {
    font-family: 'Tangerine', sans-serif;
    font-size: 2.2rem;
    font-weight: bold;
}
.tangerineFontTravel {
    font-family: 'Tangerine', sans-serif;
    font-size: 3rem;
    font-weight: bold;
}
.tangerineFontNavbar {
    font-family: 'Tangerine', sans-serif;
    font-size: 2.5rem;
    font-weight: bold;
}
@media (min-width: 768px) {
    .tangerineFontMain {
        font-size: 10rem; 
        font-family: 'Tangerine', sans-serif;
    }
}

@media (max-width: 768px) {
    .tangerineFontMain {
        font-size: 8rem; 
        font-family: 'Tangerine', sans-serif;
    }
    .tangerineFontTravel{
        display:flex;
        justify-content:center;
        align-content:center;
    }
}
/* Loading */
.loading {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 24px;
    font-weight: bold;
    color: #333;
    display: none;
    z-index: 9999; /* Make sure it appears above other content */
}
.videoBGModal {
    background-image: linear-gradient(#97C2F7,#5474C0,#2A3F70);
}
.videoMoadlTitle {
    font-family: 'Tangerine', sans-serif;
    font-size:2.5rem;
    text-shadow:1px 1px 8px black;
}
/* Navlink animation */
.navlink1 {
    position: relative;
    display: inline-block;
    padding: 10px; /* Add padding as needed */
    color: black; /* Ensure text is visible */
    text-decoration: none; /* Remove underline from links */
}

.navlink1::before,
.navlink1::after {
    content: '';
    position: absolute;
    width: 0;
    height: 0;
    border-style: solid;
    transition: all 0.5s ease;
    pointer-events: none; /* Ensure pseudo-elements do not interfere with hover */
}

.navlink1::before {
    bottom: 0;
    left: 0;
    border-left: 0;
    border-bottom: 0;
    border-top: 1px solid transparent;
    border-right: 1px solid transparent;
}

.navlink1::after {
    top: 0;
    right: 0;
    border-right: 0;
    border-top: 0;
    border-left: 1px solid transparent;
    border-bottom: 1px solid transparent;
}

.navlink1:hover::before {
    width: 100%;
    height: 100%;
    border-left: 1px solid black;
    border-bottom: 1px solid black;
}

.navlink1:hover::after {
    width: 100%;
    height: 100%;
    border-right: 1px solid black;
    border-top: 1px solid black;
}

/*Cookie Consent ===========================*/

.cookiBackground {
    background-color: var(--darkblue-color);
    
}
.cookieAlert {
    background-color: var(--beige-color);
    margin-right:10px;
    margin-left:10px;
}
.cookieAllowBtn {
    background-color: var(--darkblue-color);
    color: var(--beige-color);
}
.cookieAllowBtn:hover {
    border:1px solid var(--darkblue-color);
    box-shadow:1px 1px 10px var(--darkblue-color);
    background-color: var(--darkblue-color);
    color: var(--beige-color);
}
.cookieDeclineBtn{
    background-color:var(--beige-color);
    border:1px solid darkred;
    color:darkred;
}
.cookieDeclineBtn:hover {
    background-color: darkred;
    border: 1px solid darkred;
    box-shadow:1px 1px 10px darkred;
    color: var(--beige-color);
}
.weUseCookies{
    color:var(--darkblue-color);
}
/* Register */
.registerBackground {
    background-image: url("img/loginregister/elderschat_boat.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: auto;
}
.regsiterForm {
    background-color: rgba(0,0,0,0.6);
}
.textColorRegister {
    color: var(--beige-color);
}
.btnRegister{
    border:1px solid;
    border-color:var(--beige-color);
    color:var(--beige-color);
    background-color:black;
}
.btnRegister:hover {
    border: 1px solid;
    border-color: black;
    color: black;
    background-color: var(--beige-color);
}
.registerloginFormInput {
    border: 0.2px solid;
    border-color: var(--beige-color);
    background-color: rgba(0,0,0,0.6);
    color: var(--beige-color);
    
}
.registerloginFormInput:focus {
    border: 2px solid;
    border-color: var(--beige-color);
    background-color: rgba(0,0,0,0.6);
    box-shadow:1px 1px 8px var(--beige-color) !important;
    color: var(--beige-color);
    box-shadow: none; /* Remove the Bootstrap blue outline */
    outline: none;
}

.selectIcon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg width='10px' height='10px' viewBox='0 0 1024 1024' class='icon' version='1.1' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M903.232 256l56.768 50.432L512 768 64 306.432 120.768 256 512 659.072z' fill='%23f4e1b6' /%3E%3C/svg%3E");
    background-size: contain; /* Ensure it scales nicely */
    background-repeat: no-repeat; /* Avoid repeating the image */
    background-size: 12px 12px;
}
[type="date"]::-webkit-calendar-picker-indicator {
    background-image: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="%23f4e1b6" class="bi bi-calendar" viewBox="0 0 16 16"%3E%3Cpath d="M3.5 0a.5.5 0 0 1 .5.5V1h8V.5a.5.5 0 0 1 1 0V1h1a2 2 0 0 1 2 2v11a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3a2 2 0 0 1 2-2h1V.5a.5.5 0 0 1 .5-.5M1 4v10a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V4z"%3E%3C/path%3E%3C/svg%3E');
}


.inputCheckbox {
    background-color: var(--beige-color);
}
/* Login Page */
.loginBackground {
    background-image: url("img/loginregister/elderschat_boat.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: auto;
    overflow: hidden;
}
/* Forgot password */
.forgotPasswordBackground {
    background-image: url("img/loginregister/elderschat_boat.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: auto;
    overflow: hidden;
}
.textForgotPassword{
    color:var(--beige-color);
}
.btnForgotPassword {
    border: 1px solid;
    border-color: var(--beige-color);
    color: var(--beige-color);
    background-color: black;
}
.btnForgotPassword:hover {
    border: 1px solid;
    border-color: black;
    color: black;
    background-color: var(--beige-color);
}
.loginButtonFileDownload {
    border: 1px solid;
    border-color: var(--beige-color);
    color: var(--beige-color);
    background-color: black;
}

.loginButtonFileDownload:hover {
    border: 1px solid;
    border-color: black;
    color: black;
    background-color: var(--beige-color);
}
#searchInput {
    width: 0px; /* Starting width */
    transition: width 1.5s ease-in-out; /* Smooth transition for width */
    box-shadow: none; /* Remove Bootstrap shadow */ /* Make the input appear starting from the button */
    border-radius: 50px 0 0 50px; /* Half-circle left border */
}
#searchInput:focus{
    border:1px solid;
    border-color:var(--darkblue-color);
    box-shadow:0.5px 0.5px 8px var(--darkblue-color);
}
/* Expanded state of the input */
#searchInput.expand {
    
    width: 300px; /* Target width when the input expands */
}
.videoWidth{
    max-width:380px;
}
/* Small screen adjustments for better user experience (optional) */
@media (max-width: 400px) {
    #searchInput.expand {
        width: 180px; 
    }
    .videoWidth{
        width:250px;
    }
}
/* Base Image Styles (Mobile-first) */
@media(max-width:600px){
    .custom-image-size {
        width: 100%; /* Full width on small devices (phones) */
        max-width: 380px; /* Maximum width to keep the image within a reasonable size */
        height: auto; /* Maintain aspect ratio */
    }
}

/* Tablet: (for screens between 600px and 992px) */
@media (min-width: 600px) and (max-width: 992px) {
    .custom-image-size {
        width: 75%; /* Adjust width for tablets */
    }
}

/* Desktop: (for screens above 992px) */
@media (min-width: 992px) {
    .custom-image-size {
        width: 70%; /* Adjust width for larger screens */
        max-width: 500px; /* Optional: Set a max-width for very large screens */
    }
}

/* Home Page */
@media (min-aspect-ratio: 16/9) {
    #background-video {
    width: 100%;
}
}
#background-video {
    width: 100vw;
    object-fit: cover;
    position: fixed;
    overflow: hidden;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: -1;
}
.video-container {
    width: 100%;
    position: relative;
    height: 500px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.4);
}

.video-container video {
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover;
    z-index: -1;
    box-sizing: border-box;
}


.video-container .caption {
    z-index: 1;
    position: relative;
    text-align: center;
    color: #dc0000;
    padding: 10px;
}

.fontsizeMiliceFontAnimation {
    font-family: 'Milicent', sans-serif;
    font-size: 50px;
    text-shadow: 1px 1px 10px #13265C;
}
/* Tablet Media Query */
@media (max-width: 1024px) {
    .fontsizeMiliceFontAnimation {
        font-size: 40px; /* Font size for tablet devices */
    }
}

/* Mobile Media Query */
@media (max-width: 768px) {
    .fontsizeMiliceFontAnimation {
        font-size: 30px; /* Font size for mobile devices */
    }
}

.homeBackground {
    background-image: url("img/home/mediterrian.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: auto;
    margin: 0; /* Ensure there are no margins causing the gap */
    padding: 0;
}

.homeBackground2 {
    background-image: url("img/home/maldives.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: auto; /* Use 100% of the viewport height */
    margin: 0; /* Ensure there are no margins causing the gap */
    padding: 0;
}

.alertBackgroundGradient {
    background-image: linear-gradient(lightblue,#4361EE, #2835AF);
}
/* Footer */
.footerTextColor {
    color: var(--beige-color);
}

/* About Page ========================================================================== */
.aboutTextColor{
    color:var(--blue-primary);
}
.aboutCustomImageLeft{
    float:left;
    margin-right:15px;
    margin-bottom:1px;
    margin-top:1px;
}
.aboutCustomImageRight {
    float: right;
    margin-left: 15px;
    margin-bottom: 1px;
    margin-top: 1px;
}
.clearfix {
    clear: both;
}
.backToAboutMeButton {
    border: 1.5px solid #716f6f;
    color: black;   
}
.btnAboutHover:hover {
    box-shadow: 1px 1px 10px black;
    color: #f70c0c;
    font-weight: bold;
}

.alertAboutMeHover:hover{
    border-left:7px solid;
    border-color: darkblue;
}

@media (min-width: 1024px) {
    .aboutMeBackground {
        background-image: url("img/about/default/about_default.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        
    }
    .aboutMeImage {
        max-width: 350px;
    }
    .aboutAlertText{
        color:var(--about-purple);
    }
    .aboutIconQuill {
        width: 80px;
    }
    .aboutTextSize {
        font-size: 1.2rem !important;
    }
    .aboutImageWrapper{
        max-width:300px;
    }
    .welcomeTo{
        text-align:start;
    }
}
@media (max-width:1024px){
    .aboutMeBackground {
        background-image: url("img/about/default/about_default.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
    }
    .aboutMeImage{
        max-width:300px;
    }
    .aboutAlertText {
        color: var(--about-purple);
    }
    .aboutIconQuill {
        width: 60px;
        margin-top:5px;
    }
    .welcomeTo {
        text-align:start;
    }
}
@media (max-width:768px){
    .aboutMeBackground {
        background-image: url("img/about/default/about_default.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
    }
    .aboutMeImage {
        max-width: 350px;
        float:none;
        display:flex;
        justify-content:center;
        align-content:center;
        margin-left:auto;
        margin-right:auto;
        margin-bottom:15px;
    }
    .aboutAlertText {
        color: var(--about-purple);
    }
    .aboutIconQuill {
        width: 60px;
        margin-top:8px;
    }
    .aboutImageWrapper {
        width: 100%;
        display: flex;
        justify-content: center;
        max-height: 420px
    }
    .aboutImageWrapper img {
        width:100%;
        max-width: 430px;
        height: auto; /* keeps the aspect ratio */
        
        object-fit: cover; /* optional: trims excess image if needed */
    }
    .aboutDescription{
        margin-top:8px;
        margin-bottom:8px;
    }
    .aboutTextSize {
        font-size: 1.2rem !important;
    }
    .welcomeTo {
        text-align:center !important;
    }
}
/* Book Page ==================================================================================== */
.cardHoverBookAdmin:hover {
    border: 0.5px solid;
    border-color: black;
    box-shadow: 1px 1px 10px black;
}

.cardHoverBook:hover {
    box-shadow: 2px 2px 10px var(--sea-light-blue);
    border: 1.5px solid;
    border-color: var(--sea-light-blue);
}
.readMoreBtnBook {
    border: 1px solid;
    border-color: var(--sea-light-blue);
    background-color: rgba(0,0,0,0.4);
    color: var(--sea-light-blue);
}
.readMoreBtnBook:hover {
    border: 1px solid;
    border-color: var(--sea-light-blue);
    background-color: rgba(0,0,0,0.4);
    color: var(--sea-light-blue);
    box-shadow: 2px 2px 10px var(--light-white);
}
.custom-card-image {
    width: 100%; /* Set image width to fill container */
    height: 100%; /* Make image fill the container height */
    object-fit: cover; /* Ensure the image covers the area without stretching or distorting */
    object-position: center;
}
.textShadow {
    text-shadow: 2px 2px 5px grey;
}
/* Desktop */
@media (min-width: 1024px) {
    .cardBackground {
        background-image: url("img/bookpage/bookbeachBackground.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        width: 100%;
        height: 450px;
        margin-bottom: 30px;
    }
}

/* Tablet */
@media (max-width: 1024px) and (min-width: 768px) {
    .cardBackground {
        background-image: linear-gradient(lightblue,#4361EE, #2835AF);
    }
}

/* Mobile */
@media (max-width: 768px) {
    .cardBackground {
        background-image: linear-gradient(lightblue,#4361EE, #2835AF);
    }
    .responsive-img{
        max-width:380px;
        margin-left:5px;
        margin-right:5px;
    }
}
/* =========================== Travel ============================================ */
.cardHover{
    border:0.2px solid;
    border-color:var(--darkblue-color);
}
.cardHover:hover{
    border:2px solid;
    border-color:var(--darkblue-color);
    box-shadow:1px 1px 10px var(--darkblue-color);
}
#editor {
    height: 300px; /* Adjust to your preferred height */
    border: 1px solid #ccc; /* Optional: Add a border to make the editor container more visible */
    padding: 10px; /* Optional: Add padding inside the editor */
}

/* Travel, Life Style */

/* multiple image hover */
.gallery-image-hover {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.gallery-image-hover:hover {
    transform: scale(1.5); /* Zoom in by 20% */
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.3); /* Optional shadow effect */
}

/* TRAVEL BACKGROUNDS, and Travel Index, Details =============================== TRAVEL BACKGROUNDS ========================================================   */

.backgroundDetailsColor {
    background-image: linear-gradient(#ede6db,#FBCEB1);
}
/* Desktop*/
@media (min-width:1024px) {

    .customImageSize {
        max-inline-size:510px;
        width: 100%; /* Make the image responsive */
        height: auto; /* Maintain the aspect ratio */
         /* Limit the height for better fit */
        object-fit: cover;
    }
    .customImageSize img{
        margin-right:15px;
        max-height:450px;
    }
    .travelBlogDetailsImage {
        max-width: 500px;
        width: 100%;
    }

    .lifestyleBackgroundNoBlog {
        background-image: url("img/lifestyle/background/noblog_lifestyle.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .lifeStyleBackgroundNoSearchResult {
        background-image: url("img/lifestyle/background/noblog_lifestyle.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .bookBackground {
        background-image: url("img/bookpage/nosearchBook.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-bottom: 30px;
    }
    .noBookBlogCreatedBackground {
        background-image: url("img/bookpage/openbook_beach_resized.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .africaBackgroundNoBlog {
        background-image: url("img/africa/background/africa_background.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .africaBackgroundNoSearchResult {
        background-image: url("img/africa/background/nosearch_result_africa.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .caribbeanBackgroundNoBlog {
        background-image: url("img/caribbean/background/caribbean_no_blog_background.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height:550px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .caribbeanBackgroundNoSearchResult {
        background-image: url("img/caribbean/background/caribbean_no_search_result.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .europeBackgroundNoBlog {
        background-image: url("img/europe/background/roman_aqueduct_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .europeBackgroundNoSearchResult {
        background-image: url("img/europe/background/germay_noserachresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .asiaBackgroundNoBlog {
        background-image: url("img/asia/background/china_wall_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .asiaBackgroundNoSearchResult {
        background-image: url("img/asia/background/asia_nosearchresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }

    .indonesiaBackgroundNoBlog {
        background-image: url("img/indonesia/background/shallows_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .indonesiaBackgroundNoSearchResult {
        background-image: url("img/indonesia/background/laggon_nosearchresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .cruiseBackgroundNoBlog {
        background-image: url("img/cruise/background/cruise_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .cruiseBackgroundNoSearchResult {
        background-image: url("img/cruise/background/cruise_nosearchresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .ukBackgroundNoBlog {
        background-image: url("img/unitedkingdom/background/stonehenge_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .ukBackgroundNoSearchResult {
        background-image: url("img/unitedkingdom/background/london_nosearchresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    /* Sub description ================================================================================ */
    .subImageBackground {
        background-image: url("img/africa/subimage/subbackground/africa_subimage_background.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 420px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .imgDetails{
        max-width:450px;
    }
}
/* Tablet */
@media (max-width: 1024px){

    .customImageSize {
        max-inline-size: 450px;
        width: 100%; /* Make the image responsive */
        height: auto; /* Maintain the aspect ratio */
        max-height: 400px; /* Limit the height for better fit */
        object-fit: cover;
    }
    .customImageSize img{
        max-height:400px;
    }
    .travelBlogDetailsImage {
        max-width: 450px;
        width: 100%;
    }
    .lifestyleBackgroundNoBlog {
        background-image: url("img/lifestyle/background/noblog_lifestyle.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .lifeStyleBackgroundNoSearchResult {
        background-image: url("img/lifestyle/background/noblog_lifestyle.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .bookBackground {
        background-image: url("img/bookpage/nosearchBook.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-bottom: 30px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .noBookBlogCreatedBackground {
        background-image: url("img/bookpage/openbook_beach_resized.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .africaBackgroundNoBlog {
        background-image: url("img/africa/background/africa_background.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .africaBackgroundNoSearchResult {
        background-image: url("img/africa/background/nosearch_result_africa.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    
    .caribbeanBackgroundNoBlog {
        background-image: url("img/caribbean/background/caribbean_no_blog_background.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .caribbeanBackgroundNoSearchResult {
        background-image: url("img/caribbean/background/caribbean_no_search_result.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .europeBackgroundNoBlog {
        background-image: url("img/europe/background/roman_aqueduct_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .europeBackgroundNoSearchResult {
        background-image: url("img/europe/background/germay_noserachresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .asiaBackgroundNoBlog {
        background-image: url("img/asia/background/china_wall_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .asiaBackgroundNoSearchResult {
        background-image: url("img/asia/background/asia_nosearchresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .indonesiaBackgroundNoBlog {
        background-image: url("img/indonesia/background/shallows_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .indonesiaBackgroundNoSearchResult {
        background-image: url("img/indonesia/background/laggon_nosearchresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .cruiseBackgroundNoBlog {
        background-image: url("img/cruise/background/cruise_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .cruiseBackgroundNoSearchResult {
        background-image: url("img/cruise/background/cruise_nosearchresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .ukBackgroundNoBlog {
        background-image: url("img/unitedkingdom/background/stonehenge_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .ukBackgroundNoSearchResult {
        background-image: url("img/unitedkingdom/background/london_nosearchresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    /* Sub description ================================================================================ */
    .subImageBackground {
      
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        max-height: 380px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .imgDetails{
        margin-top:15px;
        max-width:350px;
        margin-bottom:15px;
    }
}
/* Mobile */
@media (max-width: 768px) {

    .customImageSize {
        max-inline-size: 420px;
        width: 100%; /* Make the image responsive */
        height: auto; /* Maintain the aspect ratio */
        max-height: 400px; /* Limit the height for better fit */
        object-fit: cover;
        margin-left: auto;
        margin-right: auto;
        display:flex;
        justify-content:center;
    }
    .customImageSize img {
        margin-bottom: 15px;
        max-height: 390px;
        margin-left: auto;
        margin-right: auto;
        object-fit:cover;
        
    }
    .travelBlogDetailsImage {
        max-width: 410px;
        width: 100%;
        margin-left: auto;
        margin-right: auto;
    }

    .lifestyleBackgroundNoBlog {
        background-image: url("img/lifestyle/background/noblog_lifestyle.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .lifeStyleBackgroundNoSearchResult {
        background-image: url("img/lifestyle/background/noblog_lifestyle.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .bookBackground {
        background-image: url("img/bookpage/nosearchBook.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-bottom: 30px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .noBookBlogCreatedBackground {
        background-image: url("img/bookpage/openbook_beach_resized.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .africaBackgroundNoBlog {
        background-image: url("img/africa/background/africa_background.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .africaBackgroundNoSearchResult {
        background-image: url("img/africa/background/nosearch_result_africa.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .caribbeanBackgroundNoBlog {
        background-image: url("img/caribbean/background/caribbean_no_blog_background.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .caribbeanBackgroundNoSearchResult {
        background-image: url("img/caribbean/background/caribbean_no_search_result.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .europeBackgroundNoBlog {
        background-image: url("img/europe/background/roman_aqueduct_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .europeBackgroundNoSearchResult {
        background-image: url("img/europe/background/germay_noserachresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .asiaBackgroundNoBlog {
        background-image: url("img/asia/background/china_wall_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .asiaBackgroundNoSearchResult {
        background-image: url("img/asia/background/asia_nosearchresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .indonesiaBackgroundNoBlog {
        background-image: url("img/indonesia/background/shallows_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .indonesiaBackgroundNoSearchResult {
        background-image: url("img/indonesia/background/laggon_nosearchresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .cruiseBackgroundNoBlog {
        background-image: url("img/cruise/background/cruise_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .cruiseBackgroundNoSearchResult {
        background-image: url("img/cruise/background/cruise_nosearchresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .ukBackgroundNoBlog {
        background-image: url("img/unitedkingdom/background/stonehenge_noblog.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .ukBackgroundNoSearchResult {
        background-image: url("img/unitedkingdom/background/london_nosearchresult.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    /* Sub description ================================================================================ */
    .subImageBackground {
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        max-height: 350px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .imgDetails{
        margin-top:15px;
        max-width:340px;
        margin-bottom:15px;
    }
}
.africaBackground {
    background-image: url("img/africa/background/africa_background.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

/* Admin Panel Media Query */
.table-hover:hover{
    background-color:var(--beige-color);
}
@media (min-width:1024px){
    .desktopSizeUsers{
        display:block;
    }
    .mobileSizeUsers{
        display:none;
    }
}
@media (max-width:1024px) {
    .desktopSizeUsers {
        display: none;
    }
    .mobileSizeUsers{
        display:block;
    }
}
@media (max-width: 768px){
    .desktopSizeUsers {
        display: none;
    }
    .mobileSizeUsers{
        display:block;
    }
    .cardAdminUserRegsiterForm{
        margin-left:10px;
        margin-right:10px;
    }
}
/* Admin Panel Index */
.adminAlertUserHover:hover {
    border: 0.5px solid #161515;
    background-color: #161515;
    color: var(--light-green);
}
.adminAlertCanvasHover:hover {
    border: 0.5px solid #161515;
    background-color: #161515;
    color: var(--light-blue);
}
.adminAlertWatermarkHover:hover {
    border: 0.5px solid #161515;
    background-color: #161515;
    color: var(--beige-color);
}

/* Admin Create Blog General */
.createBlogAlertButton {
   color: var(--green-success);
}
.createBlogAlertButton:hover {
    border: 1px solid;
    border-color: var(--dark-green);
    background-color:var(--dark-green);
    color: var(--light-white);
}
/* Remove Item Page */
@media (max-width: 768px) {
    .galleryZoom{
        transition: transform 0.3s ease, box-shadow 0.3s ease;
    }
    .galleryZoom:hover {        
        transform: scale(1.5); /* Zoom in by 20% */
        box-shadow: 0 4px 15px rgba(0, 0, 0, 0.3); /* Optional shadow effect */
    }
}
/* Spinner */
#loading-spinner {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9999;
}

.spinner {
    border: 4px solid #f3f3f3;
    border-top: 4px solid #3498db; /* Blue color */
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


.alertHoverSubdescription:hover {
    background-color: #c3f7f2;
    color: black;
}
.image-container {
    width: 100%;  
    max-height: 420px;   
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.custom-img {
    width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
    object-fit: cover;
}
.horizontal {
    border: 1px solid black;
    padding: 10px;
    width: 35px; /* Wider than height */
    height: 12.5px;
}

.vertical {
    border: 1px solid black;
    padding: 10px;
    width: 12.5px; /* Taller than width */
    height: 35px;
}
/* Ensure list items are correctly styled */
.ql-editor ul[data-ql-list="bullet"] {
    list-style-type: disc !important;
}
@media (min-width: 768px) {
    .text-scroll-box {
        max-height: 300px; /* Adjust as needed */
        overflow-y: auto; /* Scrollbar shows if needed */
        word-break: break-word;
        white-space: normal;
        padding-right: 5px; /* Avoid scrollbar covering text */
        padding-bottom:5px;
        margin-bottom:20px;
    }
    .verticalImage{
        max-width:300px;
    }
    .verticalImage img{
        max-height:320px;
    }
    
}
@media(max-width:767px){
    .verticalImage {
        max-width: 350px;
    }
    
}
.subAlertSize {
    width: 100%;
}
.videoWrapper {
    position: relative;
    width: 100%;
    max-width: 700px;
    aspect-ratio: 16 / 9;
    overflow: hidden;
}
.subVideoFile {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: contain; /* try 'contain' if you prefer full view with letterboxing */
}



